curl --request GET \
--url https://api.extole.io/v4/reports \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v4/reports"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v4/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v4/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v4/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v4/reports")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v4/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"completed_date": "<string>",
"display_name": "<string>",
"download_uri": "<string>",
"formats": [
"CSV"
],
"name": "<string>",
"report_id": "<string>",
"report_type": "<string>",
"tags": [
"<string>"
]
}
]List reports
Returns all report runs visible to the authenticated client, optionally filtered by the provided query parameters.
curl --request GET \
--url https://api.extole.io/v4/reports \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v4/reports"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v4/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v4/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v4/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v4/reports")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v4/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"completed_date": "<string>",
"display_name": "<string>",
"download_uri": "<string>",
"formats": [
"CSV"
],
"name": "<string>",
"report_id": "<string>",
"report_type": "<string>",
"tags": [
"<string>"
]
}
]Authorizations
Query Parameters
Optional filter for report type name.
CANCELED, DONE, EXPIRED, FAILED, IN_PROGRESS, PENDING, PENDING_DATA, SFTP_DELIVERY_FAILED Optional filter for report tags, asks for reports that contain at least one of the specified tags.
Optional filter for required report tags, asks for reports that contain all of the specified tags.
Optional filter for report exclude tags, asks for reports that do not contain any of the specified tags.
Optional filter for report exclude tags, asks for reports that do not contain all of the specified tags.
Optional filter for report creation date, asks for reports that were created during the specified interval (end date exclusive). Unless an explicit timezone if specified in the interval, the timezone from list request will be used,defaulting to client's timezone.
Optional filter for offset, defaults to 0.
Optional filter for limit, defaults to all.
Optional field to sort by. Valid values: NAME, USER, DATE_RUN, DATE_COMPLETED, STATUS. When omitted, reports are returned most recently run first and order is ignored.
DATE_COMPLETED, DATE_RUN, NAME, STATUS, USER Optional sort direction for order_by, defaults to ASCENDING. Valid values: ASCENDING (or ASC), DESCENDING (or DESC), matched case-insensitively.
ASC, ASCENDING, DESC, DESCENDING Response
Successful response
Was this page helpful?
